From bc44b8dd82ea93480c437bc8b8bc8b8c66b40507 Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Wed, 19 Jun 2019 10:52:55 -0500
Subject: [PATCH 1/4] New package: python3-click-plugins-1.1.1

---
 srcpkgs/python3-click-plugins/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/python3-click-plugins/template

diff --git a/srcpkgs/python3-click-plugins/template b/srcpkgs/python3-click-plugins/template
new file mode 100644
index 00000000000..cee484018d1
--- /dev/null
+++ b/srcpkgs/python3-click-plugins/template
@@ -0,0 +1,20 @@
+# Template file for 'python3-click-plugins'
+pkgname=python3-click-plugins
+version=1.1.1
+revision=1
+archs=noarch
+wrksrc="click-plugins-${version}"
+build_style=python3-module
+pycompile_module="click-plugins"
+hostmakedepends="python3-setuptools"
+depends="python3-click"
+short_desc="Python3-click module extension to register CLI commands"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://pypi.org/project/click-plugins"
+distfiles="${PYPI_SITE}/c/click-plugins/click-plugins-${version}.tar.gz"
+checksum=46ab999744a9d831159c3411bb0c79346d94a444df9a3a3742e9ed63645f264b
+
+post_install() {
+	vlicense LICENSE.txt
+}

From 57a66c892438d70ea6f0b89e97032c652bf8c37a Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Wed, 19 Jun 2019 10:58:17 -0500
Subject: [PATCH 2/4] New package: python3-XlsxWriter-1.1.8

---
 srcpkgs/python3-XlsxWriter/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/python3-XlsxWriter/template

diff --git a/srcpkgs/python3-XlsxWriter/template b/srcpkgs/python3-XlsxWriter/template
new file mode 100644
index 00000000000..ea68ced9a03
--- /dev/null
+++ b/srcpkgs/python3-XlsxWriter/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-XlsxWriter'
+pkgname=python3-XlsxWriter
+version=1.1.8
+revision=1
+archs="noarch"
+wrksrc="XlsxWriter-RELEASE_${version}"
+build_style=python3-module
+pycompile_module="XlsxWriter"
+hostmakedepends="python3-setuptools"
+short_desc="Python3 module for creating Excel XLSX files"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://xlsxwriter.readthedocs.io/"
+distfiles="https://github.com/jmcnamara/XlsxWriter/archive/RELEASE_${version}.tar.gz"
+checksum=b9311ec075693be4c0bc6ebbe292bbdac21399f863cb0c4e55100a561d67a56d
+
+post_install() {
+	vlicense LICENSE.txt
+}

From 8efb790ed203fe3a454efa2b7139b14d42f9c710 Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Wed, 19 Jun 2019 10:59:58 -0500
Subject: [PATCH 3/4] New package: python3-shodan-1.12.1

---
 srcpkgs/python3-shodan/template | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 srcpkgs/python3-shodan/template

diff --git a/srcpkgs/python3-shodan/template b/srcpkgs/python3-shodan/template
new file mode 100644
index 00000000000..99fff569849
--- /dev/null
+++ b/srcpkgs/python3-shodan/template
@@ -0,0 +1,21 @@
+# Template file for 'python3-shodan'
+pkgname=python3-shodan
+version=1.12.1
+revision=1
+archs=noarch
+wrksrc="shodan-python-${version}"
+build_style=python3-module
+pycompile_module="shodan"
+hostmakedepends="python3-setuptools"
+depends="python3-click python3-click-plugins python3-colorama
+ python3-requests python3-XlsxWriter"
+short_desc="Python library and CLI for Shodan"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="MIT"
+homepage="https://developer.shodan.io"
+distfiles="https://github.com/achillean/shodan-python/archive/${version}.tar.gz"
+checksum=c8e935fe4262d4267127aa9ec1f1924197853fdf5f26b477c6c8add1ad11a758
+
+post_install() {
+	vlicense LICENSE
+}

From 0e9363201702d22ea338238dc64a15ab9f1a8016 Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Thu, 27 Jun 2019 12:17:58 -0500
Subject: [PATCH 4/4] wfuzz: add python3-shodan

---
 srcpkgs/wfuzz/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/wfuzz/template b/srcpkgs/wfuzz/template
index a20ac1afef5..b03c1f28add 100644
--- a/srcpkgs/wfuzz/template
+++ b/srcpkgs/wfuzz/template
@@ -1,13 +1,13 @@
 # Template file for 'wfuzz'
 pkgname=wfuzz
 version=2.4
-revision=1
+revision=2
 archs=noarch
 build_style=python3-module
 pycompile_module="wfuzz"
 hostmakedepends="python3-setuptools"
 depends="python3-chardet python3-curl python3-future python3-lxml python3-parse
- python3-parsing python3-six"
+ python3-parsing python3-six python3-shodan"
 short_desc="Web fuzzer"
 maintainer="Andrew Benson <abenson+void@gmail.com>"
 license="GPL-2.0-only"
